<form>
  <mat-form-field class='trucks__select' appearance="fill">
    <mat-label i18n>Choose type of Truck</mat-label>
    <mat-select [(value)]='selected'>
      <mat-option i18n>None</mat-option>
      <mat-option value='SPRINTER' i18n>Sprinter (300x250x170, 1700)</mat-option>
      <mat-option value='SMALL STRAIGHT' i18n>Small STRAIGHT (500x250x170, 2500)</mat-option>
      <mat-option value='LARGE STRAIGHT' i18n>Large Straight (700x350x200, 4000)</mat-option>
    </mat-select>
  </mat-form-field>

  <div class='trucks__btn'>
    <button *ngIf='!truck' type='submit' mat-raised-button color="primary" (click)='addTruck()' [disabled]='!selected' i18n>Add</button>
    <button *ngIf='truck' type='submit' mat-raised-button color="primary" (click)='updateTruck()' [disabled]='!selected' i18n>Update</button>
  </div>

  <div class='spinner' *ngIf='isLoading'>
    <app-spinner></app-spinner>
  </div>

</form>
